For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunitySign Up
HomeGuidesVerbsAPI ReferenceSelf-HostingClient SDKsTutorialsChangelog
HomeGuidesVerbsAPI ReferenceSelf-HostingClient SDKsTutorialsChangelog
    • Introduction
  • REST Call Control
  • REST Platform Management
      • GETretrieve public IP addresses of the jambonz SBCs
      • GETretrieve voip carrier
      • PUTupdate voip carrier
      • DELdelete a voip carrier
      • GETlist sip gateways
      • POSTcreate sip gateway
      • GETretrieve sip gateway
      • PUTupdate sip gateway
      • DELdelete a sip gateway
      • GETget all carriers availlble to the account
      • POSTcreate a carrier as a service provider
      • GETget all carriers for an account
      • POSTcreate a carrier for an account
      • POSTadd a carrier to a service provider using a template
  • Webhooks
    • GETNew Call
    • POSTNew Call
    • POSTClient Authentication
    • POSTNew Client Tool Request
  • Websocket API
LogoLogo
CommunitySign Up
REST Platform ManagementCarriers

add a carrier to a service provider using a template

POST
https://api.jambonz.cloud/v1/ServiceProviders/:ServiceProviderSid/PredefinedCarriers/:PredefinedCarrierSid
POST
/v1/ServiceProviders/:ServiceProviderSid/PredefinedCarriers/:PredefinedCarrierSid
$curl -X POST https://api.jambonz.cloud/v1/ServiceProviders/ServiceProviderSid/PredefinedCarriers/PredefinedCarrierSid \
> -H "Authorization: Bearer <token>"
1{
2 "sid": "9d26a637-1679-471f-8da8-7150266e1254"
3}
<Error>This endpoint is only availble with an Admin or Service Provider API key</Error>
Was this page helpful?
Previous

retrieve all speech credentials for an account

Next
Built with
This endpoint is only availble with an Admin or Service Provider API key

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

ServiceProviderSidstringRequired
PredefinedCarrierSidstringRequired

Response

voip carrier successfully created
sidstring

Errors

400
Bad Request Error